Status: Rejected Start date: 2014-04-18
Priority: Normal % Done: 0%
Assignee:

Category: Redesign

Target version:

Description

Currently resource management is largely done in the client app, which includes URIs and resource namespaces/schemes. This
functionality needs to be reconsidered in the context of FS2, packages, assets, and other domain specific objects/assets like maps,
etc.

URIs should be domain-neutral so that they can be used universally to refer to objects of various kinds. The role of schemes should
also be reconsidered to more generally just identify the object that is responsible for locating the object referred to by the URI's path
and possible "&a=b" parameters.

Related issues:

Related to Feature #1647: Replace FS1 with FS2-based resource management Progressed 2013-10-31
Related to Feature #1601: Package management In Progress  2014-04-18
Related to Feature #1727: Apply colored sector lighting by sector via DED New 2014-02-09
History

#1 - 2015-02-12 17:48 - skyjake
- Tags changed from Resources, FileSystem to Resources, FileSystem, Assets, Packages

- Subject changed from URIs in libdeng2 to URIs for locating resources and assets

#2 - 2015-02-12 17:53 - skyjake

- Description updated

#3 - 2015-02-12 17:53 - skyjake

- Description updated

#4 - 2015-02-12 17:54 - skyjake

- Description updated

#5 - 2015-02-12 17:56 - skyjake

To avoid confusing two concepts that should be kept separate, URIs should not be thought of as object identifiers, just addresses using which objects
can be found. That is, when declaring an object, one does not specify its URI but rather just an ID/name — the exact form of URIs referring to the
object depend on the scheme that interprets them.

#6 - 2015-02-12 17:59 - skyjake
- Description updated

#7 - 2015-05-29 09:39 - skyjake
- Related to Feature #1727: Apply colored sector lighting by sector via DED added

#8 - 2015-05-29 09:39 - skyjake

- Subject changed from URIs for locating resources and assets to URIs for locating/identifying resources and assets
#9 - 2015-05-29 09:41 - skyjake
Packages should be thought of as an integral component here, because they have globally unique identifiers and can therefore be used to form part

of the URI. Furthermore, (almost?) every file and asset accessed by Doomsday can be attributed to a package.

#10 - 2018-10-27 14:56 - skyjake
- Status changed from New to Rejected

This should actually not be necessary in the future.
